# Class SpeciesEvolutionCondition

#### Hierarchy (view full)

- SpeciesEvolutionCondition
  - SpeciesFriendshipEvolutionCondition

- Defined in src/data/pokemon-evolutions.ts:96

#####
Index

### Constructors

constructor

### Properties

enforceFunc
predicate

## Constructors

### constructor

- new SpeciesEvolutionCondition(predicate, enforceFunc?): SpeciesEvolutionCondition

- #### Parameters

  - predicate: EvolutionConditionPredicate
  - `Optional` enforceFunc: EvolutionConditionEnforceFunc

  #### Returns SpeciesEvolutionCondition

  - Defined in src/data/pokemon-evolutions.ts:100

## Properties

### enforceFunc

enforceFunc: EvolutionConditionEnforceFunc

- Defined in src/data/pokemon-evolutions.ts:98

### predicate

predicate: EvolutionConditionPredicate

- Defined in src/data/pokemon-evolutions.ts:97